Subject: 9term for Solaris2

From: [email-masked] (James Matthew Farrow)
Date: Wed, 1 Jun 1994 22:25:15 -0400

Date: Tue, 31 May 94 19:34:13 +0200
    From: [email-masked] (Bengt Kleberg)
    Message-Id: <[email-masked]>
    To: [email-masked]
    Subject: 9term for Solaris2
    Content-Length: 349
    
    Greetings,
    
    Since the beginning of this year I have been a happy 9term user. Very
    nice interface and no crashes.
    
    With the advent of Solaris2 on our network I find that sam/samterm provided
    Makefiles for solaris2, but, alas, 9term only has sun (as in sunos4).
    
    Do you know what Makefile that would be 'best' to use for Solaris2?
    
    Best Wishes, Bengt

I've done a bit more work on 9term.  There is a
distribution which some might like to look at available as
ftp://ftp.cs.su.oz.au/matty/unicode/9term.1.5.1.tar.Z This includes a
Makefile for Solaris as well as some improved handling of interrupts
and echo/noecho modes.

If anyone can tell me a way of getting read notification from
inside a stream to a user program I would be grateful.  (John Mackin
suggested poking the bits in the kernel but I'm loathe to try that ;-).
The documentation we have with Solaris is not that helpful.  It seems
to hit that it's possible but it also implies that it's impossible.

					Matty.
--
James Matthew Farrow                    | "For in that moment I beheld the ruin
[email-masked]                       | of my existence.  My world fell dark
Basser Department of Computer Science   | and my life became a shallow dream.
Sydney University - FAX: +61 2 692 3838 | `Odi et amo. Excrucior.'" - Tlindah